Loading...
Searching...
No Matches
s_rot Struct Reference
Rotator API

Master rotator structure. More...

`#include <rotator.h>`

Collaboration diagram for s_rot:
[legend]

## Data Fields

struct rot_caps * | caps
struct rot_state | state

## Detailed Description

Master rotator structure.

This is the master data structure acting as the ROT handle for the controlled rotator. A pointer to this structure is returned by the rot_init() API function and is passed as a parameter to every rotator specific API call.

See also
  rot_init(), rot_caps, rot_state

## Field Documentation

## caps

struct rot_caps* s_rot::caps

Rotator caps.

## state

struct rot_state s_rot::state

Rotator state.

The documentation for this struct was generated from the following file:

- rotator.h